# class SignallingFactory | A signalling component factory. More...
Contains pure virtuals
Full name | `TelEngine::SignallingFactory`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::GenObject [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- SignallingFactory (bool fallback = false)
- virtual ~SignallingFactory ()

#### Public Static Methods

- static SignallingComponent* build (const String& type, NamedList* name = 0)
- static void* buildInternal (const String& type, NamedList* name)

#### Protected Methods

- virtual SignallingComponent* create (const String& type, NamedList& name)

## Detailed Description

A factory that constructs various elements by name

SignallingFactory (bool fallback = false) | ### SignallingFactory

Constructor, adds the factory to the global list

Parameters:

fallback | True to add this factory at the end of the priority list

~SignallingFactory () | ### ~SignallingFactory

[virtual]

Destructor, removes the factory from list

SignallingComponent* build (const String& type, NamedList* name = 0) | ### build

[static]

Builds a component given its name and arbitrary parameters

Parameters:

type | The type of the component that should be returned
name | Name of the requested component and additional parameters

Returns: Pointer to the created component, NULL on failure

void* buildInternal (const String& type, NamedList* name) | ### buildInternal

[static]

This method is for internal use only and must not be called directly

Parameters:

type | The name of the interface that should be returned
name | Name of the requested component and additional parameters

Returns: Raw pointer to the requested interface of the component, NULL on failure

SignallingComponent* create (const String& type, NamedList& name) | ### create

[protected pure virtual]

Creates a component given its name and arbitrary parameters

Parameters:

type | The name of the interface that should be returned
name | Name of the requested component and additional parameters

Returns: Pointer to the created component

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.